/*
** Module   : JobValidationException.java
** Abstract : exception thrown when validating a scheduled job.
**
** Copyright (c) 2014, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**         Golden Code Development Corporation
**                 CONFIDENTIAL
**
** -#- -I- --Date-- ---------------------------------Description----------------------------------
** 001 CA  20140206 First version.
*/

package com.goldencode.p2j.main;

/**
 * Exception thrown when validating a scheduled job.
 */
public class JobValidationException
extends IllegalArgumentException
{
   /**
    * Constructor which accepts a root cause.
    * 
    * @param    cause
    *           Exception which has been caught in the course of processing.
    */
   public JobValidationException(Throwable cause)
   {
      super(cause);
   }

   /**
    * Constructor which accepts a custom message.
    * 
    * @param    msg
    *           Error message.
    */
   public JobValidationException(String msg)
   {
      super(msg);
   }

   /**
    * Constructor which accepts a root cause and a custom message.
    * 
    * @param    msg
    *           Error message.
    * @param    cause
    *           Exception which has been caught in the course of processing.
    */
   public JobValidationException(String msg, Throwable cause)
   {
      super(msg, cause);
   }
}
