/*
** Module   : RemoteSpawner.java
** Abstract : Defines the API used to get the spawn command from a remote P2J server.
**
** Copyright (c) 2014, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**           Golden Code Development Corporation
**                      CONFIDENTIAL
**
** -#- -I- --Date-- ---------------------------------Description----------------------------------
** 001 CA  20140211 Created initial version.
*/

package com.goldencode.p2j.main;

/**
 * Defines the API used to get the spawn command from a remote P2J server.
 */
public interface RemoteSpawner
{
   /**
    * Get the spawn command registered for this UUID, from the remote P2J server..
    * 
    * @param    uuid
    *           The UUID.
    *           
    * @return   See above.
    */
   public String[] getCommand(String uuid);
}
