/*
** Module   : SSLCertGenException.java
** Abstract : exception thrown when encountering problems during generation of SSL certificates.
**
** Copyright (c) 2014, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**         Golden Code Development Corporation
**                 CONFIDENTIAL
**
** -#- -I- --Date-- ---------------------------------Description----------------------------------
** 001 CA  20140207 First version.
*/

package com.goldencode.p2j.security;

/**
 * Exception thrown when encountering problems during generation of SSL certificates.
 */
public class SSLCertGenException
extends Exception
{
   /**
    * Constructor which accepts a root cause.
    * 
    * @param    cause
    *           Exception which has been caught in the course of processing.
    */
   public SSLCertGenException(Throwable cause)
   {
      super(cause);
   }

   /**
    * Constructor which accepts a custom message.
    * 
    * @param    msg
    *           Error message.
    */
   public SSLCertGenException(String msg)
   {
      super(msg);
   }

   /**
    * Constructor which accepts a root cause and a custom message.
    * 
    * @param    msg
    *           Error message.
    * @param    cause
    *           Exception which has been caught in the course of processing.
    */
   public SSLCertGenException(String msg, Throwable cause)
   {
      super(msg, cause);
   }
}
